cpw.mods.fml.common.versioning

## Class Restriction

- java.lang.Object
- - cpw.mods.fml.common.versioning.Restriction

-     public class Restriction
      extends Object

  Describes a restriction in versioning.
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Restriction` | `EVERYTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Restriction(ArtifactVersion lowerBound, boolean lowerBoundInclusive, ArtifactVersion upperBound, boolean upperBoundInclusive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsVersion(ArtifactVersion version)`
    `boolean` | `equals(Object other)`
    `ArtifactVersion` | `getLowerBound()`
    `ArtifactVersion` | `getUpperBound()`
    `int` | `hashCode()`
    `boolean` | `isLowerBoundInclusive()`
    `boolean` | `isUpperBoundInclusive()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVERYTHING

          public static final Restriction EVERYTHING

  - ### Constructor Detail

    - #### Restriction

          public Restriction(ArtifactVersion lowerBound,
                     boolean lowerBoundInclusive,
                     ArtifactVersion upperBound,
                     boolean upperBoundInclusive)

  - ### Method Detail

    - #### getLowerBound

          public ArtifactVersion getLowerBound()

    - #### isLowerBoundInclusive

          public boolean isLowerBoundInclusive()

    - #### getUpperBound

          public ArtifactVersion getUpperBound()

    - #### isUpperBoundInclusive

          public boolean isUpperBoundInclusive()

    - #### containsVersion

          public boolean containsVersion(ArtifactVersion version)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`